- Qt 5.15
- Qt 3D
- QML Types
- ScreenRayCaster QML Type
- Qt 5.15.18 Reference Documentation

# ScreenRayCaster QML Type

Performe ray casting test based on screen coordinates. More...

Import Statement: | import Qt3D.Render 2.15
Since: | Qt 5.11

- List of all members, including inherited members

## Properties

- position : point

## Detailed Description

ScreenRayCaster can be used to perform ray casting tests by specifying coordinates in screen space, which will be used to construct an actual 3D ray between the near and far planes.

See also RayCaster and NoPicking.

## Property Documentation

position : point

Holds the length of the 3D ray.

Note: The coordinates will be used for every available render surface as long as they are in the valid range.